Index: /trunk/procs/com_eg.pro
===================================================================
--- /trunk/procs/com_eg.pro	(revision 11)
+++ /trunk/procs/com_eg.pro	(revision 12)
@@ -12,5 +12,5 @@
 ; attributs formats + div
 ;
-COMMON formats, look, free_1d_minmax, lat_axis, cont_fill, multi_win, atmos_msk, line_thick, line_style, line_color, title_type, fill_space, vector_sample, symbol_style, symbol_color, symbol_families, contour_options, mean_sc_only, nc_grids_list, cont_real
+COMMON formats, look, free_1d_minmax, lat_axis, cont_fill, multi_win, atmos_msk, line_thick, line_style, line_color, title_type, fill_space, vector_sample, symbol_style, symbol_color, symbol_families, contour_options, mean_sc_only, nc_grids_list, cont_real, symbol_size
 ;
 ; attributs couleur
Index: /trunk/procs/plt_map.pro
===================================================================
--- /trunk/procs/plt_map.pro	(revision 11)
+++ /trunk/procs/plt_map.pro	(revision 12)
@@ -15,4 +15,6 @@
 ; win   = position of window (petit[,,,])
 ; iover = overlay index
+   IF debug_w THEN print, ' '
+   IF debug_w THEN print, '  ENTER plt_map...'
 ;
 ; empty window case for on=2
@@ -258,4 +260,5 @@
    END 
 
+   IF debug_w THEN print, '   cmd after data_read in plt_map = ', cmd
 ;
 ; ======================
@@ -638,8 +641,10 @@
 ; run specific fixes
 
- IF (strpos(cmd.exp, 'MIMR') NE -1 OR strpos(cmd.exp, 'MIHR') NE -1) AND cmd.var EQ 'tauu' AND strpos(cmd.timave,  '1m') NE -1 AND strpos(cmd.timave,  '1mm') EQ -1 THEN BEGIN 
-    fld = -fld
-    print, ' *** WARNING: Multiply tauu by -1 ', cmd.exp, cmd.var, cmd.timave
- ENDIF 
+   IF (strpos(cmd.exp, 'MIHR') NE -1) AND cmd.var EQ 'tauu' AND strpos(cmd.timave,  '1m') NE -1 AND strpos(cmd.timave,  '1mm') EQ -1 THEN BEGIN 
+      fld = -fld
+      print, ' *** WARNING: Multiply tauu by -1 ', cmd.exp, cmd.var, cmd.timave
+   ENDIF 
+
+   IF debug_w THEN print, '   cmd before making output in plt_map = ', cmd
 
 
@@ -890,4 +895,5 @@
                g = gphit
                t = tmask
+
             ; mask fld
                mask_z, fld, cmd, boite_pltt, dimplot, legz
@@ -901,4 +907,5 @@
                   ELSE: rep_txt = ''
                ENDCASE 
+
                print, '     '+cmd.var+' data to plot min and max :            ', $
                 min(fld(where (fld NE valmask))), max(fld(where (fld NE valmask)))
@@ -949,5 +956,5 @@
                   boxx = ' ['+boxx+']'
                   vargrid = vargrid1
-                  IF debug_w THEN print, 'domdef and vargrid : ',  boite_plt1d[0:3], vargrid
+                  IF debug_w THEN print, '   domdef and vargrid : ',  boite_plt1d[0:3], vargrid
                   domdef, boite_plt1d[0:3]
                   print, '   Averaging (time serie plot) cmd.var '+cmd.var+' in'+boxx
@@ -963,6 +970,6 @@
                IF sw_diffg EQ 1 THEN BEGIN
                   jptb = jpt
+                  IF debug_w THEN print,  '    calling def_grid, cmd2 dans plt_map '
                   def_grid, cmd2
-                  IF debug_w THEN print,  'def_grid, cmd2 dans plt_map '
                   jpt = jptb
                ENDIF 
@@ -982,8 +989,8 @@
                   boxy = ' ['+boxy+']'
                   vargrid = vargrid2
-                  IF debug_w THEN print, 'domdef and vargrid : ',  boite_plt1d2[0:3], vargrid
+                  IF debug_w THEN print, '    domdef and vargrid : ',  boite_plt1d2[0:3], vargrid
                   domdef, boite_plt1d2[0:3]
                   print, '   Averaging  (time serie plot) cmd2.var '+cmd2.var+' in'+boxy
-                  IF debug_w THEN print, 'fld size', size(fld2)  
+                  IF debug_w THEN print, '    fld2 size', size(fld2)  
                   fld2 = checkfield(fld2, 'plt1d', type = datyp2.hotyp, direc = 'xy', boite = boite_plt1d2, /timearray)
                   IF cmd2.trend GT 0 THEN BEGIN
@@ -996,6 +1003,6 @@
                   sw_diffg = 0
                   jptb = jpt
+                  IF debug_w THEN print,  '   calling def_grid, cmd dans plt_map '
                   def_grid, cmd
-                  IF debug_w THEN print,  'def_grid, cmd dans plt_map '
                   jpt = jptb
                ENDIF 
@@ -1046,7 +1053,7 @@
                       ;    print, '     Period '+strtrim(string(ic), 2)+' Linear fit slope, chisq, prob =', coeff(1)*1000., errlin*1000., prblin
                            IF mean_sc_only EQ 0 THEN BEGIN 
-                              pltcmd = 'pltsc,fldp,fldp2,minc,maxc,minc2,maxc2,varlegend2, boite=boxyfx'+com_strplt+',ov1d='+string(ic)+',COLOR='+string(symbol_color(ic))+', STY1D='+string(symbol_style(ic)-1)
+                              pltcmd = 'pltsc,fldp,fldp2,minc,maxc,minc2,maxc2,varlegend2, boite=boxyfx'+com_strplt+',ov1d='+string(ic)+',COLOR='+string(symbol_color(ic))+', STY1D='+string(symbol_style(ic)-1)+', SYMSIZE='+string(symbol_size)
                               printf, nulhis, strcompress(pltcmd)
-                              IF debug_w THEN print, pltcmd
+                              IF debug_w THEN print, '   ',pltcmd
                               res = execute(pltcmd)
                            ENDIF 
@@ -1064,13 +1071,13 @@
 
                               printf, nulhis, strcompress(pltcmd)
-                              IF debug_w THEN print, pltcmd
+                              IF debug_w THEN print, '   ', pltcmd
                               res = execute(pltcmd)      
                               pltcmd = 'pltt,(lincoef-linerro)*1000., '''+hotyp+''''+minmax+com_strplt+',ov1d=1,COLOR=1, thick=1, STY1D=0'
                               printf, nulhis, strcompress(pltcmd)
-                              IF debug_w THEN print, pltcmd
+                              IF debug_w THEN print, '   ',pltcmd
                               res = execute(pltcmd)
                               pltcmd = 'pltt,(lincoef+linerro)*1000., '''+hotyp+''''+minmax+com_strplt+',ov1d=1,COLOR=1, thick=1, STY1D=0'
                               printf, nulhis, strcompress(pltcmd)
-                              IF debug_w THEN print, pltcmd
+                              IF debug_w THEN print, '   ',pltcmd
                               res = execute(pltcmd)
                            ENDIF 
@@ -1078,10 +1085,10 @@
                         ENDWHILE 
                      ENDIF ELSE BEGIN ; one color
-                        IF debug_w THEN print, pltcmdstd
+                        IF debug_w THEN print, '   ',pltcmdstd
                         res = execute(pltcmdstd(0))
                      ENDELSE 
                   ENDIF     
                ENDIF ELSE BEGIN ; standard scatter plot
-                  IF debug_w THEN print, pltcmdstd
+                  IF debug_w THEN print, '   ',pltcmdstd
                   res = execute(pltcmdstd(0))
                ENDELSE
@@ -1119,5 +1126,5 @@
                      stdsc = [stat.sc_std, stat.sc_std(0)]
                      stdsc2 = [stat2.sc_std, stat2.sc_std(0)]
-                     pltcmd = 'pltsc,stdsc,stdsc2,0. ,maxc,0.,maxc2,varlegend2, boite=boxyfx'+com_strplt+',ov1d=1-min(1,sw_ov1d), STY1D=-1, THICKN=5, SYMSIZE=1, FRACTION=fraction'
+                     pltcmd = 'pltsc,stdsc,stdsc2,0. ,maxc,0.,maxc2,varlegend2, boite=boxyfx'+com_strplt+',ov1d=1-min(1,sw_ov1d), STY1D=-1, THICKN=3, SYMSIZE='+string(symbol_size)+', FRACTION=fraction'
                      printf, nulhis, strcompress(pltcmd)
                      IF debug_w THEN print, pltcmd
@@ -1130,5 +1137,5 @@
                      ov1d_val = 0
                      IF mean_sc_only EQ 0 THEN ov1d_val = 1
-                     pltcmd = 'pltsc,fldrem_t1,fldrem_t2,minc,maxc,minc2,maxc2,varlegend2, boite=boxyfx'+com_strplt+',ov1d=ov1d_val, STY1D=-1, THICKN=5, SYMSIZE=1, FRACTION=fraction'
+                     pltcmd = 'pltsc,fldrem_t1,fldrem_t2,minc,maxc,minc2,maxc2,varlegend2, boite=boxyfx'+com_strplt+',ov1d=ov1d_val, STY1D=-1, THICKN=5, SYMSIZE='+string(symbol_size)+', FRACTION=fraction'
                      printf, nulhis, strcompress(pltcmd)
                      IF debug_w THEN print, pltcmd
@@ -1356,4 +1363,5 @@
 
    ENDIF 
+   IF debug_w THEN print, '  ...EXIT plt_map'
 
 END 
